### Function

# GObject TypeInterfaceCheckFunc

since: 2.4

#### Declaration

    void
    (* GTypeInterfaceCheckFunc) (
      gpointer check_data,
      GObjectTypeInterface* g_iface
    )

#### Description [src]

A callback called after an interface vtable is initialized.

See g_type_add_interface_check().

Available since: 2.4

#### Parameters

`check_data`

  Type: `gpointer`

  Data passed to g_type_add_interface_check().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`g_iface`

  Type: `GTypeInterface`

  The interface that has been initialized.

  The data is owned by the caller of the function.